import { OnInit, ElementRef } from '@angular/core';
import { CfCoreComponent } from '../core/core.component';
import { PageService } from '../../services/page-service/page.service';
import { TemplateService } from '../../services/template-service/template.service';
/**
 * This component refers to a Weather app.
 */
export declare class CfPage2 extends CfCoreComponent implements OnInit {
    elementRef: ElementRef;
    pageService: PageService;
    constructor(elementRef: ElementRef, /**@hidden */ templateService: TemplateService, pageService: PageService);
    /**
     * <p> This method is called when initializing the component.</p>
     */
    ngOnInit(): void;
    dynamicallyAddedComponents: any[];
    addComponent(compName: string): void;
    removeComponent(): void;
}
